package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 作品评审意见对象 work_review
 * 
 * @author haotian
 * @date 2024-12-11
 */
public class WorkReview extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 评审意见id */
    private Long reviewId;

    /** 作品id */
    @Excel(name = "作品id")
    private Long workId;

    /** 评审人id */
    @Excel(name = "评审人id")
    private Long reviewerId;

    /** 评审人昵称 */
    @Excel(name = "评审人昵称")
    private String reviewerName;

    /** 评审结果 */
    @Excel(name = "评审结果")
    private String workStatus;

    /** 反馈详情 */
    @Excel(name = "反馈详情")
    private String detail;

    /** a.0 */
    @Excel(name = "0")
    private String deleteFlag;

    public void setReviewId(Long reviewId) 
    {
        this.reviewId = reviewId;
    }

    public Long getReviewId() 
    {
        return reviewId;
    }
    public void setWorkId(Long workId) 
    {
        this.workId = workId;
    }

    public Long getWorkId() 
    {
        return workId;
    }
    public void setReviewerId(Long reviewerId) 
    {
        this.reviewerId = reviewerId;
    }

    public Long getReviewerId() 
    {
        return reviewerId;
    }
    public void setReviewerName(String reviewerName) 
    {
        this.reviewerName = reviewerName;
    }

    public String getReviewerName() 
    {
        return reviewerName;
    }
    public void setWorkStatus(String workStatus) 
    {
        this.workStatus = workStatus;
    }

    public String getWorkStatus() 
    {
        return workStatus;
    }
    public void setDetail(String detail) 
    {
        this.detail = detail;
    }

    public String getDetail() 
    {
        return detail;
    }
    public void setDeleteFlag(String deleteFlag) 
    {
        this.deleteFlag = deleteFlag;
    }

    public String getDeleteFlag() 
    {
        return deleteFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("reviewId", getReviewId())
            .append("workId", getWorkId())
            .append("createTime", getCreateTime())
            .append("reviewerId", getReviewerId())
            .append("reviewerName", getReviewerName())
            .append("workStatus", getWorkStatus())
            .append("detail", getDetail())
            .append("deleteFlag", getDeleteFlag())
            .toString();
    }
}
